Herald
OpenapiExt

Create a new user in a realm

Creates a user in the specified realm. Only principals with `users:create` permission in the target realm may invoke this endpoint. # Authentication Requires valid API Key via X-API-Key header # Authorization The caller must have `users:create` permission in the target realm.

POST
/api/ext/realms/{realmId}/users

Creates a user in the specified realm. Only principals with users:create permission in the target realm may invoke this endpoint.

Authentication

Requires valid API Key via X-API-Key header

Authorization

The caller must have users:create permission in the target realm.

X-API-Key<token>

Client-app API key (third-party external API).

In: header

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

email*string
nickname?string|null
password*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/ext/realms/string/users" \  -H "Content-Type: application/json" \  -d '{    "email": "string",    "password": "string"  }'
{  "createdAt": "string",  "email": "string",  "id": "string",  "nickname": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}